from FarseerGames.FarseerPhysics.Factories import SpringFactory
from FarseerGames.FarseerPhysics.Mathematics import Vector2

class Spring:
  def __init__(self, simulator, geom, point):
    self.simulator = simulator
    self.geom = geom
    self.point = point
    self.spring = SpringFactory.Instance.CreateFixedLinearSpring(self.simulator, geom.Body, geom.Body.GetLocalPosition(point), point, 20, 10)

  def attach(self, point):  
    self.spring.WorldAttachPoint = Vector2(point.X,point.Y)
    
  def dispose(self):
    self.spring.Dispose()
    
  def start(self):
    return self.spring.Body.GetWorldPosition(self.spring.BodyAttachPoint)
    
  def end(self):
    return self.spring.WorldAttachPoint