from FarseerGames.FarseerPhysics.Mathematics import Vector2
from FarseerGames.FarseerPhysics.Factories import BodyFactory
from FarseerGames.FarseerPhysics.Factories import GeomFactory

class Wall:
  
  def __init__(self,simulator,x1,y1,x2,y2):
    self.simulator = simulator
    self.start = Vector2(x1,y1)
    self.end = Vector2(x2,y2)
    self.size = Vector2(x2-x1,y2-y1)
    self.position = Vector2(x1+(self.size.X*.5), y1+(self.size.Y*.5))
    self.build()
  
  def build(self):
    body = BodyFactory.Instance.CreateRectangleBody(self.simulator, self.size.X, self.size.Y, 0.1); 
    body.IsStatic = True
    geom = GeomFactory.Instance.CreateRectangleGeom(self.simulator, body,self.size.X,self.size.Y);
    geom.RestitutionCoefficient = 1
    geom.FrictionCoefficient = .5
    self.simulator.Add(body)
    self.body = body 
    self.body.Position = self.position
  
  def remove(self):
    self.simulator.Remove(self.body)
    
