import math
from System.Windows.Markup import XamlReader
from System.Windows.Controls import Canvas

class Rectangle:

  def __init__(self, canvas, model):

    self.canvas = canvas
    self.model = model
    
    self.load('views/rectangle.xaml')
    self.position(model.body.Position.X,model.body.Position.Y)  
    self.update()


  def load(self, url):
  
    xaml = open(url).read()
    self.control = XamlReader.Load(xaml)
    self.canvas.Children.Add(self.control)

  def position(self, x, y):
    self.control.SetValue(Canvas.LeftProperty, float(x));
    self.control.SetValue(Canvas.TopProperty, float(y));

  def size(self, x, y):
    self.control.scale.ScaleX = (x / 50) 
    self.control.scale.ScaleY = (y / 50)

  def rotation(self, angle):
    self.control.angle.Angle = float(angle)

  def update(self):
    self.position(self.model.body.Position.X, self.model.body.Position.Y)
    self.size(self.model.size.X, self.model.size.Y)
    self.rotation(math.degrees(self.model.body.Rotation)) # self.model.Rotation.Angle
