from System.Windows.Markup import XamlReader
from FarseerGames.FarseerPhysics.Mathematics import Vector2

class Spring:

  def __init__(self, canvas):
    
    # load xaml 
    xaml = open('views/spring.xaml').read()
    self.canvas = canvas
    self.control = XamlReader.Load(xaml)

  def hide(self):
  
    # remove from canvas if exists
    if self.canvas.Children.Contains(self.control):
      self.canvas.Children.Remove(self.control)  
  
  def show(self, model):
    
    # add to canvas if doesn't exist
    if not self.canvas.Children.Contains(self.control):
      self.canvas.Children.Add(self.control)

    # map model to a line  
    p1 = model.start()
    p2 = model.end();

    self.control.line.X1 = p1.X
    self.control.line.Y1 = p1.Y
    self.control.line.X2 = p2.X
    self.control.line.Y2 = p2.Y
